# H323TransportAddress Class Reference

`#include <transaddr.h>`

Inheritance diagram for H323TransportAddress:

[legend]
Collaboration diagram for H323TransportAddress:
[legend]

## Public Member Functions

| H323TransportAddress ()
| H323TransportAddress (const char *addr, WORD port=0, const char *proto=NULL)
| H323TransportAddress (const PString &addr, WORD port=0, const char *proto=NULL)
| H323TransportAddress (const OpalTransportAddress &addr)
| H323TransportAddress (PIPSocket::Address ip, WORD port, const char *proto=NULL)
| H323TransportAddress (const H225_TransportAddress &pdu, const char *proto=NULL)
| H323TransportAddress (const H245_TransportAddress &pdu, const char *proto=NULL)
PBoolean | SetPDU (H225_TransportAddress &pdu, WORD defPort=0) const
PBoolean | SetPDU (H245_TransportAddress &pdu, WORD defPort=0) const

## Detailed Description

Transport address for H.323. This adds functions to the basic OpalTransportAddress for conversions to and from H.225 and H.245 PDU structures.

## Constructor & Destructor Documentation

H323TransportAddress::H323TransportAddress | ( |  | ) | `[inline]`

H323TransportAddress::H323TransportAddress | ( | const char * | addr,
|  | WORD | port = `0`,
|  | const char * | proto = `NULL` |
| ) |  |  | `[inline]`

H323TransportAddress::H323TransportAddress | ( | const PString & | addr,
|  | WORD | port = `0`,
|  | const char * | proto = `NULL` |
| ) |  |  | `[inline]`

H323TransportAddress::H323TransportAddress | ( | const OpalTransportAddress & | addr | ) | `[inline]`

H323TransportAddress::H323TransportAddress | ( | PIPSocket::Address | ip,
|  | WORD | port,
|  | const char * | proto = `NULL` |
| ) |  |  | `[inline]`

H323TransportAddress::H323TransportAddress | ( | const H225_TransportAddress & | pdu,
|  | const char * | proto = `NULL` |
| ) |  |  |

Parameters:

  proto | Default to tcp

H323TransportAddress::H323TransportAddress | ( | const H245_TransportAddress & | pdu,
|  | const char * | proto = `NULL` |
| ) |  |  |

Parameters:

  proto | default to udp

## Member Function Documentation

PBoolean H323TransportAddress::SetPDU | ( | H245_TransportAddress & | pdu,
|  | WORD | defPort = `0` |
| ) |  |  | const

PBoolean H323TransportAddress::SetPDU | ( | H225_TransportAddress & | pdu,
|  | WORD | defPort = `0` |
| ) |  |  | const

The documentation for this class was generated from the following file:

- transaddr.h